<template>
  <div id="app" class="container is-widescreen">
    <template>
      <b-navbar>
        <template slot="brand">
          <b-navbar-item tag="router-link" :to="{ path: '/' }">
            <b-icon
              pack="fas"
              icon="video"
              size="is-large"
              type="is-primary"
            />
          </b-navbar-item>
        </template>

        <template slot="end">
          <b-navbar-item tag="div">
            <b-input
              placeholder="Search by title..."
              type="search"
              icon-right="search"
              icon-right-clickable
              v-model="search"
              v-on:keyup.enter="handleSearch"
              v-on:icon-right-click="handleSearch(search)"
            />
          </b-navbar-item>
        </template>
      </b-navbar>
    </template>

    <section class="section">
      <router-view />
    </section>

    <footer class="footer" style="padding: 1.5rem">
      <div class="content has-text-centered">
        <p>
          <strong>Movie Galleries</strong> by <a href="mailto:agoezazhar@gmail.com">M Azhar Iskandar</a>.
        </p>
      </div>
    </footer>

  </div>
</template>

<script>
  import qs from 'query-string'
  import router from './router'
  export default {
    name: 'app',
    data: () => (
      {
        search: ((qs.parse(window.location.search) || {}).s || '')
      }
    ),
    methods: {
      handleSearch (key) {
        if (window.location.pathname === '/') {
          this.$store.dispatch('loadMovie', `?s=${key}`)
        }
        router.push(`/?s=${key}`)
      }
    }
  }
</script>
